## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           pavucontrol
Version:        6.1
Release:        %autorelease
Summary:        Volume control for PulseAudio

License:        GPL-2.0-or-later
URL:            https://www.freedesktop.org/software/pulseaudio/%{name}
Source0:        https://www.freedesktop.org/software/pulseaudio/%{name}/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  meson >= 0.59.0
BuildRequires:  lynx
BuildRequires:  pkgconfig(gtkmm-4.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libpulse-mainloop-glib)
BuildRequires:  pkgconfig(sigc++-2.0)

%description
PulseAudio Volume Control (pavucontrol) is a simple GTK based volume control
tool ("mixer") for the PulseAudio sound server. In contrast to classic mixer
tools this one allows you to control both the volume of hardware devices and
of each playback stream separately.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

rm -f $RPM_BUILD_ROOT%{_docdir}/pavucontrol/README.html
rm -f $RPM_BUILD_ROOT%{_docdir}/pavucontrol/style.css

%find_lang %{name}

%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.pulseaudio.pavucontrol.desktop
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_metainfodir}/org.pulseaudio.pavucontrol.metainfo.xml

%files -f %{name}.lang
%license LICENSE
%doc doc/README
%{_bindir}/pavucontrol
%{_datadir}/applications/org.pulseaudio.pavucontrol.desktop
%{_metainfodir}/org.pulseaudio.pavucontrol.metainfo.xml

%changelog
## START: Generated by rpmautospec
* Fri Aug 02 2024 Julian Sikorski <belegdol+github@gmail.com> - 6.1-1
- Update to 6.1

* Fri Aug 02 2024 Julian Sikorski <belegdol+github@gmail.com> - 6.0-5
- Drop separate .appdata.xml now that upstream ships proper .metainfo.xml

* Fri Aug 02 2024 Julian Sikorski <belegdol+github@gmail.com> - 6.0-4
- Update URLs to match freedesktop.org SSL certificate

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed May 22 2024 Wim Taymans <wtaymans@redhat.com> - 6.0-1
- upgrade to 6.0

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 03 2024 Niels De Graef <ndegraef@redhat.com> - 5.0-10
- SPDX Migration

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Jun 13 2020 Julian Sikorski <belegdol@fedoraproject.org> - 4.0-4
- Fix crash on Ctrl-Q using a patch from upstream gitlab (RH #1725150)

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Mar 05 2019 Kalev Lember <klember@redhat.com> - 4.0-1
- Update to 4.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Mar 07 2018 Rex Dieter <rdieter@fedoraproject.org> - 3.0-12
- BR: gcc-c++
- .spec cosmetics
- %%build: --disable-silent-rules
- use %%make_build %%make_install

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Aug 19 2015 Kalev Lember <klember@redhat.com> - 3.0-5
- Patch to work with the default icon theme (bug 1249198)

* Sat Aug 01 2015 Julian Sikorski <belegdol@fedoraproject.org> - 3.0-4
- Added gnome-icon-theme-legacy to Requires (bug 1249198)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 3.0-2
- Rebuilt for GCC 5 C++11 ABI change

* Tue Mar 24 2015 Kalev Lember <kalevlember@gmail.com> - 3.0-1
- Update to 3.0
- Use license macro for the LICENCE file
- Use desktop-file-validate instead of desktop-file-install

* Sat Feb 28 2015 Kevin Fenzi <kevin@scrye.com> 2.0-10
- Rebuild for new gcc

* Sat Feb 21 2015 Till Maas <opensource@till.name> - 2.0-9
- Rebuilt for Fedora 23 Change
  https://fedoraproject.org/wiki/Changes/Harden_all_packages_with_position-independent_code

* Thu Aug 28 2014 Hans de Goede <hdegoede@redhat.com> - 2.0-8
- Add a patch fixing various crashes due to referencing freed memory (#1133339)
- Cherry-pick some other fixes from upstream git

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 01 2014 Kalev Lember <kalevlember@gmail.com> - 2.0-5
- Drop obsolete libglademm24-devel build dep

* Tue Nov 12 2013 Julian Sikorski <belegdol@fedoraproject.org> - 2.0-4
- Added support for AAC passthrough

* Wed Oct 23 2013 Bruno Wolff III <bruno@wolff.to> - 2.0-3
- Rebuild seems to fix segfaulting issue (bz 1021118)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Mar 09 2013 Julian Sikorski <belegdol@fedoraproject.org> - 2.0-1
- Updated to 2.0
- Made the make calls verbose
- Dropped explicit pulsaudio-libs dependency
- Updated the version in the pulseaudio-libs-devel BR

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Sep 03 2012 Jonathan Steffan <jsteffan@fedoraproject.org> - 1.0-2
- Merge in patch from BZ#588724

* Mon Sep 03 2012 Julian Sikorski <belegdol@fedoraproject.org> - 1.0-1
- Updated to 1.0
- Switched to .xz sources
- Dropped obsolete Group, Buildroot, %%clean and %%defattr
- Updated Source0 and URL
- Switched to gtk3

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 14 2009 Lennart Poettering <lpoetter@redhat.com> 0.9.10-1
- New upstream 0.9.10

* Thu Sep 10 2009 Lennart Poettering <lpoetter@redhat.com> 0.9.9-1
- Final 0.9.9

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.9-0.test1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 2 2009 Lennart Poettering <lpoetter@redhat.com> 0.9.9-1
- Preview of upcoming 0.9.9

* Mon Apr 13 2009 Lennart Poettering <lpoetter@redhat.com> 0.9.8-1
- New upstream release 0.9.8

* Fri Apr 10 2009 Lennart Poettering <lpoetter@redhat.com> 0.9.7-6
- Third preview of upcoming 0.9.8

* Thu Mar 5 2009 Lennart Poettering <lpoetter@redhat.com> 0.9.7-5
- Second preview of upcoming 0.9.8

* Wed Feb 25 2009 Lennart Poettering <lpoetter@redhat.com> 0.9.7-4
- Preview of upcoming 0.9.8

* Thu Oct 9 2008 Matthias Clasen  <mclasen@redhat.com> 0.9.7-3
- Handle locales properly

* Tue Sep 9 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.7-2
- Add intltool to deps

* Tue Sep 9 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.7-1
- Update to 0.9.7

* Tue Jul 15 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.7-0.1.git20080715
- Update from GIT snapshot

* Fri Mar 28 2008 Lennart Poettering <lpoetter@redhat.com> 0.9.6-1
- Update to 0.9.6

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.5-2
- Autorebuild for GCC 4.3

* Wed Nov 28 2007 Julian Sikorski <belegdol[at]gmail[dot]com> 0.9.5-1
- Update to 0.9.5

* Tue Sep 25 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.5-0.4.svn20070925
- Update from SVN

* Wed Sep 5 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.5-0.3.svn20070905
- Add versioned dependency on pulseaudio-libs

* Wed Sep 5 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.5-0.2.svn20070905
- Update from SVN snapshot

* Thu Aug 16 2007 Lennart Poettering <lpoetter@redhat.com> 0.9.5-0.1.svn20070816
- Update from SVN snapshot

* Sat Sep  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-3
- Spec file cleanup.

* Sat Sep  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-2
- Add BuildRequires for desktop-file-utils.

* Fri Sep  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.4-1
- Update to 0.9.4
- Fix installation of desktop file.

* Sun Aug 20 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.3-1
- Update to 0.9.3

* Sun Jul  9 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.2-1
- Update to 0.9.2

* Thu Jun  8 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.1-1
- Update to 0.9.1

* Mon May 29 2006 Pierre Ossman <drzeus@drzeus.cx> 0.9.0-1
- Initial package for Fedora Extras

## END: Generated by rpmautospec
